> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update redirect

> Requires a token with the external-api:write ability. path string required Maximum length: 255. article_id string required Format: uuid . locale string | null cURL JavaScript Python PHP cURL JavaScript Python PHP 201 Created 200 OK 201 Created 200 OK 422 Unprocessable Content id string Format:…

```http
POST https://api.weav.com/v1/kb-redirects
```

Requires a token with the `external-api:write` ability.

## Body

<ParamField body="path" type="string" required>
Maximum length: 255.
</ParamField>

<ParamField body="article_id" type="string" required>
Format: `uuid`.
</ParamField>

<ParamField body="locale" type="string | null">

</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request POST \
  --url 'https://api.weav.com/v1/kb-redirects' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "path": "string",
  "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
}'
```

```js JavaScript
const body = {
  "path": "string",
  "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
};
const response = await fetch("https://api.weav.com/v1/kb-redirects", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"path": "string", "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"}
response = requests.post("https://api.weav.com/v1/kb-redirects", headers=headers, json=body)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/kb-redirects', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'path' => 'string',
  'article_id' => '9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d',
),
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 201 Created
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "path": "string",
    "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "locale": "string",
    "created_at": "2026-01-01T00:00:00Z"
}
```

```json 200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "path": "string",
    "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "locale": "string",
    "created_at": "2026-01-01T00:00:00Z"
}
```

</CodeGroup>

- `422` Unprocessable Content

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="path" type="string">

</ParamField>

<ParamField body="article_id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="locale" type="string">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
